"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TNSRTCMediaStreamTrack_1 = require("./TNSRTCMediaStreamTrack");
var TNSRTCAudioTrack = (function (_super) {
    __extends(TNSRTCAudioTrack, _super);
    function TNSRTCAudioTrack(track) {
        var _this = _super.call(this, track) || this;
        _this._audioTrack = track;
        return _this;
    }
    TNSRTCAudioTrack.fromNative = function (track) {
        return new TNSRTCAudioTrack(track);
    };
    Object.defineProperty(TNSRTCAudioTrack.prototype, "ios", {
        get: function () {
            return this._audioTrack.audioTrack;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCAudioTrack.prototype, "instance", {
        get: function () {
            return this._audioTrack;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCAudioTrack.prototype, "volume", {
        set: function (volume) {
            this._audioTrack.volume = volume;
        },
        enumerable: true,
        configurable: true
    });
    TNSRTCAudioTrack.prototype.applyConstraints = function (constraints) {
        return Promise.resolve();
    };
    return TNSRTCAudioTrack;
}(TNSRTCMediaStreamTrack_1.TNSRTCMediaStreamTrack));
exports.TNSRTCAudioTrack = TNSRTCAudioTrack;
//# sourceMappingURL=TNSRTCAudioTrack.js.map