"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TNSRTCIceCandidateBase_1 = require("../base/TNSRTCIceCandidateBase");
var TNSRTCIceCandidate = (function (_super) {
    __extends(TNSRTCIceCandidate, _super);
    function TNSRTCIceCandidate(sdp, sdpMid, sdpMLineIndex) {
        var _this = _super.call(this, sdp, sdpMid, sdpMLineIndex) || this;
        _this._iceCandidate = new co.fitcom.fancywebrtc.FancyRTCIceCandidate(sdp, sdpMid, sdpMLineIndex);
        return _this;
    }
    TNSRTCIceCandidate.fromNative = function (candidate) {
        return new TNSRTCIceCandidate(candidate.getSdp(), candidate.getSdpMid(), candidate.getSdpMLineIndex());
    };
    Object.defineProperty(TNSRTCIceCandidate.prototype, "candidate", {
        get: function () {
            return this._iceCandidate.getCandidate();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceCandidate.prototype, "sdp", {
        get: function () {
            return this._iceCandidate.getSdp();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceCandidate.prototype, "sdpMid", {
        get: function () {
            return this._iceCandidate.getSdpMid();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceCandidate.prototype, "sdpMLineIndex", {
        get: function () {
            return this._iceCandidate.getSdpMLineIndex();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceCandidate.prototype, "usernameFragment", {
        get: function () {
            return this._iceCandidate.getUsernameFragment();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceCandidate.prototype, "serverUrl", {
        get: function () {
            return this._iceCandidate.getServerUrl();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceCandidate.prototype, "android", {
        get: function () {
            return this._iceCandidate.getIceCandidate();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceCandidate.prototype, "instance", {
        get: function () {
            return this._iceCandidate;
        },
        enumerable: true,
        configurable: true
    });
    return TNSRTCIceCandidate;
}(TNSRTCIceCandidateBase_1.TNSRTCIceCandidateBase));
exports.TNSRTCIceCandidate = TNSRTCIceCandidate;
//# sourceMappingURL=TNSRTCIceCandidate.js.map