"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TNSRTCMediaTrackSettings = (function () {
    function TNSRTCMediaTrackSettings(settings) {
        this._mediaTrackSettings = settings;
    }
    TNSRTCMediaTrackSettings.fromNative = function (settings) {
        return new TNSRTCMediaTrackSettings(settings);
    };
    Object.defineProperty(TNSRTCMediaTrackSettings.prototype, "width", {
        get: function () {
            return this._mediaTrackSettings.width;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaTrackSettings.prototype, "height", {
        get: function () {
            return this._mediaTrackSettings.height;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaTrackSettings.prototype, "frameRate", {
        get: function () {
            return this._mediaTrackSettings.frameRate;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaTrackSettings.prototype, "aspectRatio", {
        get: function () {
            return this._mediaTrackSettings.aspectRatio;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaTrackSettings.prototype, "facingMode", {
        get: function () {
            return this._mediaTrackSettings.facingMode;
        },
        enumerable: true,
        configurable: true
    });
    return TNSRTCMediaTrackSettings;
}());
exports.TNSRTCMediaTrackSettings = TNSRTCMediaTrackSettings;
//# sourceMappingURL=TNSRTCMediaTrackSettings.js.map